<form [formGroup]="addBoardColumnCard" class="new-column-card">
  <button class="new-column-card__add-button"
          (click)="onAddNewColumnCard()">+
  </button>
  <div formArrayName="items" *ngFor="let itemForm of items.controls; let i = index">
    <div [formGroupName]="i">
      <div class="container">
              <textarea autofocus
                        class="addItemBox"
                        formControlName="itemContent"
                        [value]="itemValue"
                        #item></textarea>
        <div class="actions">
          <button class="btn-close"
                  (click)="onCancelAddCard(i)">
            <mat-icon class="close">close</mat-icon>
          </button>
          <button class="btn-done"
                  type="submit"
                  [ngClass]="{'btn-done-disabled' : !item.value}"
                  (click)="onAddCardSubmit(itemForm.get('itemContent')?.value, i)">
            <mat-icon class="done">done</mat-icon>
          </button>
        </div>
      </div>
    </div>
  </div>
</form>
